<?php
namespace Elementor;

/**
 * Elementor Widget
 * @package Geroz
 * @since 1.0.0
 */ 
 
class Home5_Newsletter extends Widget_Base {

	/**
	 * Get widget name.
	 * Retrieve button widget name.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'geroz-home5-newsletter-widget';
	}

	/**
	 * Get widget title.
	 * Retrieve button widget title.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget title.
	 */
	public function get_title() {
		return esc_html__( 'Home 5 Newsletter', 'geroz-core' );
	}

	/**
	 * Get widget icon.
	 * Retrieve button widget icon.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-flash';
	}

	/**
	 * Get widget categories.
	 * Retrieve the list of categories the button widget belongs to.
	 * Used to determine where to display the widget in the editor.
	 *
	 * @since  2.0.0
	 * @access public
	 * @return array Widget categories.
	 */
	public function get_categories()
    {
        return ['geroz_widgets'];
    }
	
	/**
	 * Register button widget controls.
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function register_controls() {

		$this->start_controls_section(
			'home5-newsletter-content',
			[
				'label' => esc_html__( 'Newsletter Content', 'geroz-core' ),
			]
		);	

		$this->add_control(
			'subtitle',
			[
				'label'       => __( 'Sub Title', 'geroz-core' ),
				'type'        => Controls_Manager::TEXTAREA,
				'default' => esc_html__('Get specialist cargo services worldwide', 'geroz-core'),
				'dynamic'     => [
					'active' => true,
				],
			]
		);	

		$this->add_control(
			'title',
			[
				'label'       => __( 'Title', 'geroz-core' ),
				'type'        => Controls_Manager::TEXTAREA,
				'dynamic'     => [
					'active' => true,
				],
				'placeholder' => __( 'Enter your title', 'geroz-core' ),
				'default'     => __( 'Default Title', 'geroz-core' ),
			]
		);	

		
		$this->add_control(
				'contact_form',
				[
					'label'       => __( 'Contact Form 7 Url', 'geroz-core' ),
					'type'        => Controls_Manager::TEXTAREA,
					'dynamic'     => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your Contact Form 7 Url', 'geroz-core' ),
					'default'     => __( '', 'geroz-core' ),
				]
			);

		$this->end_controls_section();

	
		}

	/**
	 * Render button widget output on the frontend.
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$allowed_tags = wp_kses_allowed_html('post');
		?>

		 <section class="newsletter-wrapper section-padding">
			<div class="container">
				<div class="section-title text-center">
					<div class="sub-title">
						<div class="dot"></div> <span><?php echo $settings['subtitle'];?></span>
					</div>
					<h2 class="tp-char-animation"><?php echo $settings['title'];?></h2>
				</div>
				<div class="row justify-content-center">
					<div class="col-xl-8">
						<?php echo do_shortcode( $settings['contact_form'] );?>
					</div>
				</div>
			</div>
		</section>

             
		<?php 
	}


}

Plugin::instance()->widgets_manager->register_widget_type(new Home5_Newsletter());